#!/bin/sh


plik=/var/lib/mysql/towary
rm -f ${plik}*.csv
pass="xxxx"
magazyn=1
ipdocelowe=1.1.1.1

mysql a20 <<EOF
drop table if exists azo_digital.temp_stany_sklep;
create table azo_digital.temp_stany_sklep
select "A20" as firma,t.symbol,round(ifnull(p.ilosc,0)) as ilosc 
from TowrNg t 
left join TowrPo p on t.guid=p.idntowr and p.magazyn=$magazyn
where usluga=0 and t.status_www<>0;
use azo_digital;
insert into temp_stany_sklep
select "AZO" as firma,t.symbol,round(ifnull(p.ilosc,0)) as ilosc 
from TowrNg t 
left join TowrPo p on t.guid=p.idntowr and p.magazyn=$magazyn
where usluga=0 and t.status_www<>0;

select symbol,ilosc from temp_stany_sklep where firma="AZO" into outfile "${plik}_azo.csv" fields TERMINATED BY ";";
select symbol,ilosc from temp_stany_sklep where firma="A20" into outfile "${plik}_a20.csv" fields TERMINATED BY ";";
select symbol,sum(ilosc) as ilosc from temp_stany_sklep group by symbol into outfile "${plik}_all.csv" fields TERMINATED BY ";";
EOF

ncftpput -u int -p $pass  $ipdocelowe / ${plik}*.csv
