#!/bin/bash


. /etc/motlawa/motlawa.conf

log=$logdir/log2old.log
cronlink=/etc/cron.daily/00xlog2old.sql.sh
date >> $log

if ! [ -e $cronlink ] ; then
 ln -s /etc/motlawa/log2old.sql.sh $cronlink
 echo "link zrobiony wykonanie w nocy" |tee >> $log
 exit
fi

echo "sprawdzam, czy jestem z crona: $0" |tee >> $log

if [ "$0" != "$cronlink" ] ; then
  echo "nie - wychodze"|tee >> $log
  exit
fi

echo robie |tee >> $log

databases="ht"
data='2017-01-01'

mkdir $backup_dir/mysql/old 2>/dev/null
#exit

for db in $databases ; do

if ! [ -e $backup_dir/mysql/old/${db}_log_przed_$data.sql.gz ] ; then
mysql $parms -vvv $db >>$log 2>&1  <<EOF
drop table if exists logold;
drop table if exists logpoold;
create table lognew like log;
insert into lognew select * from log where czas>='$data';
rename table log to logold;
rename table lognew to log;
alter table logold engine myisam;
delete from logold where  czas>='$data';
optimize table logold;
create table logponew like logpo;
insert into logponew select p.* from logpo p,log l where l.idn=p.idnng and l.czas>='$data';
rename table logpo to logpoold;
rename table logponew to logpo;
alter table logpoold engine myisam;
optimize table logpoold;
EOF

mysqldump $db logold logpoold| gzip > $backup_dir/mysql/old/${db}_log_przed_$data.sql.gz

mysql $parms -vvv $db <<EOF
drop table if exists logold;
drop table if exists logpoold;
EOF
fi

done

#do it onece :)
rm -f $cronlink
