#!/bin/bash

#exit

log=kopia_slave.log

databases="sp ht sklep sklep_dl sklep_galeria sklep_slimak sklep_sw sklep_tysiac sklepwww"
#databases="test"

cd /mnt/backup
# do it once

[ -e all.sql.gz.old ] && exit
echo robimy
#exit

rm -f all.sql.gz.old

echo "flush logs"|mysql

date
echo "START dump" >> $log
date >> $log

mysqldump --insert-ignore --add-drop-database --master-data --hex-blob \
          --max_allowed_packet=16M --lock-all-tables --routines -B $databases |pigz -p 6 -8 > all.sql.gz
echo "flush tables"|mysql
echo "end dump" >> $log
date >> $log
date
#exit


#41000 = 4MB/s
#speed="-l 1600"

scp -c blowfish $speed  all.sql.gz slave:/mnt/backup
echo "sent" >> $log
date >> $log
date
#exit

cmd="echo 'stop slave'|mysql -f "
ssh slave $cmd
cmd="zcat /mnt/backup/all.sql.gz|sed \"s/) ENGINE=InnoDB/) ENGINE=MyISAM/g\"|mysql -f "
ssh slave $cmd
cmd="echo 'start slave'|mysql -f "
ssh slave $cmd
echo "FINISH" >> $log
date >> $log
date

mv all.sql.gz all.sql.gz.old
